import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.PerformanceMetrics 1.0

import QtMultimedia 5.4


MainView {
    objectName: "mainView"
    applicationName: "mediaplayerblocking.om26er"

    width: units.gu(50)
    height: units.gu(75)

    Page {
        title: i18n.tr("MediaPlayerBlocking")

        Button {
            id: playPauseButton
            text: "Play"
            anchors.centerIn: parent

            onClicked: {
                if (mp.playbackState == 1) {
                    mp.stop()
                    text = "Play"
                } else {
                    mp.source = "track.ogg"
                    mp.play()
                    text = "Pause"
                }
            }
        }

        MediaPlayer {
            id: mp
        }

        ActivityIndicator {
            id: activity
            anchors.top: playPauseButton.bottom
            anchors.horizontalCenter: parent.horizontalCenter
            running: true
        }

        PerformanceOverlay {

        }
    }
}

